#include "Init.h"

unsigned char WriteData[Flash_Page_Size];
unsigned char ReadData[Flash_Page_Size];
unsigned char BadBlockTable[Flash_Blocks];
int i, Flag1, Flag2 = 0 ;

unsigned int PageNo =  15;
unsigned int BlockNo = 7;

//This block is to keep the BadBlockTable. Its kept in Page 0.

unsigned int ResBlockNo = 5;

// Flash Commands

char BlockEraseCmd[2]		= 	{ 0x60, 0xD0 };
char PageReadCmd[2] 		= 	{ 0x00, 0x30 };
char PageWriteCmd[2] 		= 	{ 0x80, 0x10 };
char StatusReadCmd[1]		=	{ 0x70 };
char RandomDataInputCmd[1]	= 	{ 0x85 };		
char RandomDataOutputCmd[2]	= 	{ 0x05, 0xE0 };	

// Function declarations

void Init(void);
void CheckTableExist(unsigned int Cblock);
void DetectBadBlock(unsigned int block);
void BlockErase(unsigned int Eblock);	
void PageWrite(unsigned int Wpage, unsigned int Wblock, unsigned char *Write_Buf);
void PageRead(unsigned int Rpage, unsigned int Rblock, unsigned char *Read_Buf);
void Error_Analysis(void);
short Read_Flash_Status_Register(void);

